Bug 1277986 - Need to be able to reconcile new SCCs when upgrading
Need to be able to reconcile new SCCs when upgrading
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Paul Weil
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 08:35 EST by Paul Weil
Modified: 2016-01-05 23:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:14:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Weil 2015-11-04 08:35:25 EST
Description of problem:

When upgrading a cluster there needs to be a way to reconcile SCCs that are in the new code against existing cluster SCCs.  This needs to be a cli command.

The command should

1.  Always reconcile the definitions (everything except users, groups, and priority)
2.  Have an option to overwrite users, groups, and priority
3.  Always reconcile nil priorities with new values if set
4.  Show what will be reconciled and not save changes until --confirm is issued
Comment 1 Paul Weil 2015-11-04 08:36:01 EST
PR https://github.com/openshift/origin/pull/5606
Comment 2 Jordan Liggitt 2015-11-04 17:16:53 EST
Additionally, an upgrade from 3.0.2 to 3.1 will pick up new default SCCs on server start, but will need a `oadm policy reconcile-sccs --confirm` to update any changed definitions
Comment 3 weiwei jiang 2015-11-05 02:16:30 EST
Checked with devenv_rhel7_2638, and work well.

Note You need to log in before you can comment on or make changes to this bug.